org.apache.tinkerpop.gremlin.driver

## Class Channelizer.WebSocketChannelizer

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.channel.ChannelInitializer<io.netty.channel.socket.SocketChannel>
      - - org.apache.tinkerpop.gremlin.driver.Channelizer.AbstractChannelizer
        - - org.apache.tinkerpop.gremlin.driver.Channelizer.WebSocketChannelizer

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler, Channelizer
  Enclosing interface:
    Channelizer

      public static final class Channelizer.WebSocketChannelizer
      extends Channelizer.AbstractChannelizer

  WebSocket `Channelizer` implementation.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.driver.Channelizer

      `Channelizer.AbstractChannelizer, Channelizer.WebSocketChannelizer`

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.Channelizer.AbstractChannelizer

      `cluster, connection, PIPELINE_GREMLIN_HANDLER, PIPELINE_GREMLIN_SASL_HANDLER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebSocketChannelizer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(io.netty.channel.Channel channel)` Sends a `CloseWebSocketFrame` to the server for the specified channel.
    `void` | `configure(io.netty.channel.ChannelPipeline pipeline)`
    `void` | `connected()` Called after the channel connects.
    `void` | `init(org.apache.tinkerpop.gremlin.driver.Connection connection)` Initializes the `Channelizer`.
    `boolean` | `supportsSsl()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.Channelizer.AbstractChannelizer

      `finalize, initChannel`

    - ### Methods inherited from class io.netty.channel.ChannelInitializer

      `channelRegistered, exceptionCaught, handlerAdded, handlerRemoved`

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelInactive, channelRead, channelReadComplete, channelUnregistered, channelWritabilityChanged, userEventTriggered`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `ensureNotSharable, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `exceptionCaught, handlerAdded, handlerRemoved`

- - ### Constructor Detail

    - #### WebSocketChannelizer

          public WebSocketChannelizer()

  - ### Method Detail

    - #### init

          public void init(org.apache.tinkerpop.gremlin.driver.Connection connection)

      Description copied from interface: `Channelizer`
      Initializes the `Channelizer`. Called just after construction.
      Specified by:
        `init` in interface `Channelizer`
      Overrides:
        `init` in class `Channelizer.AbstractChannelizer`

    - #### close

          public void close(io.netty.channel.Channel channel)

      Sends a `CloseWebSocketFrame` to the server for the specified channel.
      Specified by:
        `close` in interface `Channelizer`
      Overrides:
        `close` in class `Channelizer.AbstractChannelizer`

    - #### supportsSsl

          public boolean supportsSsl()

      Overrides:
        `supportsSsl` in class `Channelizer.AbstractChannelizer`

    - #### configure

          public void configure(io.netty.channel.ChannelPipeline pipeline)

      Specified by:
        `configure` in class `Channelizer.AbstractChannelizer`

    - #### connected

          public void connected()

      Description copied from interface: `Channelizer`
      Called after the channel connects. The `Channelizer` may need to perform some functions, such as a handshake.

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.